Figure - Bug #116140
OBSPOOEVTIDOSTOOEtOO UserD OO OO DOOOPODOODOODOOOOSettingsD D O0DOOOOODO
gwrooon

2023-02-091857-000000_CDTSO O

Status: CLOSED Start date: 2023-02-09
Priority: High Due date: 2023-02-22
Assignee: gbooboo_cepTsbod % Done: 70%
Category: LC Estimated time: 0.00 hour
Target version: VC1_FSE_0078_20230228

Need_Info: - Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.0
Resolution: FIXED Degrated: -

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

oooood

None

ooooogd
2000000000000D00OSSettingd 00O
3.00000000000UI00 0 ifconfig eth0
2.VX-VCOuserD OO OO O Qd

History

#1-2023-02-1016:06 -0 00000 _CDTSO O
- File new 4 added

#2 - 2023-02-10 16:14 - CD BSP-UJ O

- Status changed from New to ASSIGNED

- Assignee changed from CDBSP-00 0 toCDFW O O O
- % Done changed from 0 to 20

Hi, 00O
O 0Ocheckd OO O OO0 "new 4" log

02-09 21:28:56.977 2739 2739 | hpplay-java: [main]:Bridge:findServicelD start out: 161402091
02-09 21:28:56.977 2739 2739 | hpplay-java: [main]:Bridge:findServicelD end
02-09 21:28:56.977 2739 2739 | hpplay-java: [main]:ServerTaskManager:onStop retry:true

02-09 21:28:56.977 2739 2739 | hpplay-java: [main]:ServerTaskManager:cancel TimeOutCheck

02-09 21:28:56.978 2739 3731 | hpplay-java: [AsyncTask #11]:NetworkReceiver:onReceive action: android.net.conn.CONNECTIVITY_CHANGE
02-09 21:28:56.978 2739 2739 W hpplay-java: [main]:IPManager:getActiveNets invalid networkInfo:null

02-09 21:28:56.978 2739 2739 | hpplay-java: [main]:IPManager:getActiveNets eth0:false wifi:false mobile:false ap:false

02-09 21:28:56.978 2739 3820 W hpplay-java: [AsyncTask #17]:HttpRequest:

02-09 21:28:56.978 2739 2739 W hpplay-java: [*main]:ServerTaskManager:exeTask startServer, need wait for ip*

02-09 21:28:56.978 2739 3820 W hpplay-java: [AsyncTask #17]:HttpRequest:

02-09 21:28:56.978 2739 3820 W hpplay-java: [AsyncTask #17]:HttpRequest:

02-09 21:28:57.628 645 660 | mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

02-0921:28:57.943 0 0 W swapper/1: type=1400 audit(0.0:373): avc: denied { kill } for capability=5 scontext=u:r:kernel:s0 tcontext=u:r:kernel:s0 tclass=capability
permissive=0

02-09 21:28:57.980 2739 2739 W hpplay-java: [main]:IPManager:getActiveNets invalid networkInfo:null

02-09 21:28:57.980 2739 2739 | hpplay-java: [main]:IPManager:getActiveNets eth0:false wifi:false mobile:false ap:false

02-09 21:28:57.980 2739 2739 | hpplay-java: [main]*:ServerTaskManager:get local ip:null*

#3-2023-02-1017:29-CDFW O OO
- Category changed from BSP to LC
- Assignee changed fromCDFW O OO toCDLCO OO

HiOO

BSPOOOUODOOOODOOO0ODODOOUODOOOIMoOOOwarningDOOODOOCO0ODOOOODOOKROOOO

02-09 21:28:56.977 2739 2739 | hpplay-java: [main]:Bridge:findServicelD start out: 161402091

02-09 21:28:56.977 2739 2739 | hpplay-java: [main]:Bridge:findServicelD end

02-09 21:28:56.977 2739 2739 | hpplay-java: [main]:ServerTaskManager:onStop retry:true

02-09 21:28:56.977 2739 2739 | hpplay-java: [main]:ServerTaskManager:cancel TimeOutCheck

02-09 21:28:56.978 2739 3731 | hpplay-java: [AsyncTask #11]:NetworkReceiver:onReceive action: android.net.conn.CONNECTIVITY_CHANGE
02-09 21:28:56.978 2739 2739 W hpplay-java: [main]:IPManager:getActiveNets invalid networkInfo:null

02-09 21:28:56.978 2739 2739 | hpplay-java: [main]:IPManager:getActiveNets eth0:false wifi:false mobile:false ap:false

02-09 21:28:56.978 2739 3820 W hpplay-java: [AsyncTask #17]:HttpRequest:

02-09 21:28:56.978 2739 2739 W hpplay-java: [*main]:ServerTaskManager:exeTask startServer, need wait for ip*

02-09 21:28:56.978 2739 3820 W hpplay-java: [AsyncTask #17]:HttpRequest:

02-09 21:28:56.978 2739 3820 W hpplay-java: [AsyncTask #17]:HttpRequest:

02-09 21:28:57.628 645 660 | mpu_uart: [MSG-P:RECV]:No message received in 1000 ms

02-09 21:28:57.943 0 0 W swapper/1: type=1400 audit(0.0:373): avc: denied { kill } for capability=5 scontext=u:r:kernel:s0 tcontext=u:r:kernel:s0 tclass=capability
permissive=0

02-09 21:28:57.980 2739 2739 W hpplay-java: [main]:IPManager:getActiveNets invalid networkInfo:null

02-09 21:28:57.980 2739 2739 | hpplay-java: [main]:IPManager:getActiveNets eth0:false wifi:false mobile:false ap:false

02-09 21:28:57.980 2739 2739 | hpplay-java: [main]*:ServerTaskManager:get local ip:null*

gooooooooooooobooLcobooooo

#4 -2023-02-1020:37-CDLCO OO

ooo
1.0 00 20230209-185649.mp4 10:5400
10:54:09.686 Eth0 00 00 O Up

10:54:17.909 IPManager:getActiveNets eth0:false 0 [J down

012_persist_00023_230209_105407.log

02-09 10:54:09.686 1207 2326 | EthernetNetworkFactory: networkForRequest, request: NetworkRequest [ REQUEST id=33, [ Capabilities:
INTERNET&NOT_RESTRICTED&TRUSTED&NOT_VCN_MANAGED Uid: 1000 RequestorUid: 1000 RequestorPkg: com.android.settings] ], network:
NetworkInterfaceState{ refCount: 1, iface: eth0, up: true, hwAddress: 36:7¢:7¢:00:00:0f, networkCapabilities: [ Transports: ETHERNET Capabilities:
NOT_METERED&INTERNET&NOT_RESTRICTED&TRUSTED&NOT_VPN&NOT_ROAMING&NOT_CONGESTED&NOT_SUSPENDED&NOT_VCN_MA
NAGED LinkUpBandwidth>=100000Kbps LinkDnBandwidth>=100000Kbps], networkAgent:
com.android.server.ethernet.EthernetNetworkFactory$NetworklInterfaceState$1@8a5845e, score: 70, ipClient:
android.net.ip.lIpClient$Stub$Proxy@b82303f,linkProperties: {InterfaceName: eth0 LinkAddresses: [ fe80::f760:5929:¢227:1593/64,192.168.11.35/23 ] DnsAddresses: [
/192.168.10.1,/61.139.2.69 ] Domains: null MTU: 0 ServerAddress: /192.168.10.1 TcpBufferSizes: 524288,1048576,3145728,524288,1048576,2097152 Routes: [ fe80::/64 -> ::
eth0 mtu 0,192.168.10.0/23 -> 0.0.0.0 eth0 mtu 0,0.0.0.0/0 -> 192.168.10.1 eth0 mtu 0 ]}}

02-09 10:54:17.909 3270 3270 | hpplay-java: [main]:IPManager:getActiveNets eth0:false wifi:false mobile:false ap:false

02-09 10:54:24.734 3270 3270 | hpplay-java: [main]:IPManager:getActiveNets eth0:false wifi:false mobile:false ap:false

105400600 DO OOOWPOOODOOOODOOODOO

02-09 10:54:09.690 2477 4375 D DhcpClient: doQuit

02-09 10:54:09.707 2477 4375 D DhcpClient: DHCP Packet Handler stopped
02-09 10:54:09.708 2477 4375 D DhcpClient: onQuitting

#5 - 2023-02-14 11:36 - CDTS-TEST O I

- Due date set to 2023-02-18

#6 - 2023-02-1508:33-CDLCO OO

02-09 10:54:09.690 2477 4375 D DhcpClient: doQuit

02-09 10:54:09.707 2477 4375 D DhcpClient: DHCP Packet Handler stopped
OdoQuitD OO DOOOODOOODOOO

userdebugt) O 0 0 0O O O JenkinsO O O userd 0 0 02/13Jenkins0 000000 OO0
#7-2023-02-1517:36-CDLCO 0O

OO0O0ODAFDOO0O0ODDOOOO

-0000,Eth0000,00Settings (0000000 OOOOO])
-00000000,00000EthIP
-00[CO000O0Og]jo,oob0ooDood Ethip

O userdebugC OO0 OO OODODO.

AF00OO0O0O0OO0,001Irr00oo0og

#8-2023-02-16 13:53-CDLCO OO

goooo

Revert https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/166247 BSP:Ethernet: for 100M 0P test
O00OVBuserDOOOOGODODO

Revert patch : https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/181738

VB Image: ftp://dvbuild@10.0.76.28/home/scm/VerifyBuild/Pre figure turbox-c2130c-lal.1-gssi12-dev/20230215/202302152102-2595

2025-07-04 3/6


https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/166247
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/181738
ftp://dvbuild@10.0.76.28/home/scm/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230215/202302152102-2595

http://jenkins.thundercomm.com/job/VerifyBuild_for 10T 6490/2595/parameters/

000 O perfd O DebugO configD 0 O O

0000000 https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/1662470 0 O perfconf0 OO0 O OO0 OO Odebugd O OO0 OO OOOODOO
oo

#9 - 2023-02-17 09:56 - CD TPM-0 0 O
- Target version set to VC1_FSE_0078_20230228

#10-2023-02-2022:55-CDLCO OO

- Due date changed from 2023-02-18 to 2023-02-22

0 00 O patchO O O Issue
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/166247 BSP:Ethernet: for 100M IOP test

0 Ouserdebugd O O O O CONFIGO O userdebugd O 0 O O
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/182149

1. O NetworkStack(D 00 O O
https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/NetworkStack/+/181463

O000000OSettingD OOO0O0OODOOODOOODOTetheringDOOODOOODOODODOO

#11-2023-02-2222:00-CDLCO OO
- File Figure-116140-0 00000 IPOOO00O00O0O0O OO SettingD 00000 0O OO IPO O O O .docx added

#12 - 2023-02-2222:01-CDLCO OO
- % Done changed from 20 to 40

oooo

000000000000 0000ONetwork, BSPO100MpatchD D 0000000 0on0 0000000000000 ODOOODOOOODOODOO
OrefCount0 0,0 00on0 00000000000 ODO0O0ODO0O0OSetting00000000000O0ODOrefCounto0O0OOIPOODOOOO
gbooooooooboooooOoobOOoOoOobObonnoOO

ooo

gbooooooooooooobooooboooooboooooooobooo

gbooooooooooolrd

ooooooo

0000000 Figure-116140-0 00 0001IPODO0O0O0O0O0OO0ODOSettingsD OO O DOOODOOOIPO OO O .docx

#13-2023-02-2310:30-CDLCO OO
- Assignee changed fromCD LC 0 0 O toCD TPM-0O0 0O O

HiOOO
http://jenkins.thundercomm.com/job/VerifyBuild_for_IOT_6490/2595/parameters/
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/166247������perf
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/166247
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/182149
https://dev.thundercomm.com/gerrit/c/general/platform/packages/modules/NetworkStack/+/181463

0000000000000 0Comment00 00000000 OSettingsD 000000000 IIPOOOOdocx0OODOO
gboooobooooooboooon
ooooooo

#14 - 2023-02-23 15:25-CD TPM-0 O O
- Assignee changed fromCD TPM-O 0 0 toCDLCO O O

oo

goooooooooooooobooobooooDooooooooOoOo,O0bDOoOoOoooOoIrPd

#15-2023-02-2320:50-CDLCO OO

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/opt/net/ethernet/+/183995
goooooveOoOoOoOO

#16 - 2023-02-24 10:51-CDLCO OO

http://10.0.76.24:8080/job/VerifyBuild_for 10T _6490/2700/console

jo0od0d0oooooooooooooooo
joooooooooooooo
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre figure turbox-c2130c-lal.1-gssil2-dev/20230224/202302241723-2718/FlatBuild HH_MCE_FSE.M.D.user.01.00.C

101.202302241723.zip

#17-2023-02-2520:58-CDLC O OO

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/opt/net/ethernet/+/183995

0 O : releaseNetworkFord network.refCount0 00,00 000000 O, 0O O network.stop()O O O 1PO O
O Ethernetd 0 0 0 0000, refCountd O O O 0,0 releaseNetworkFord O O O . O O Setting, ++refCount, O O Settings(] , --refCount
O network.refCount O 0, 0 O O network.stop()J O O IPO O

0 O : network.refCount < 000 , O O network.stop()0 O O IPO O, O refCountd 0 0 00,0 0 0O O O O O O EthernetD O

0 0O : Pass

O00:0000000000,Ethernet0 00000,

#18 - 2023-02-27 17:34 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
183995 general/platform/frameworks/opt/net/ | Pre_figure_turbox-c2130c-lal.1-gssi12 | taohp0107@thundersoft.com
ethernet -dev

BSP:Ethernet: Keep connection all the time and do not disconnect activelyEthernet is a built-in module of the device and needs to be connectedall the time. Don't
disconnect actively. TC-RID: 0301-0400602IssuelD: TS-R-BUG-116140Change-Id: laab124ce0b68ee6hf744f4292f9611fa75924100
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/opt/net/ethernet/+/183995
http://10.0.76.24:8080/job/VerifyBuild_for_IOT_6490/2700/console
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230224/202302241723-2718/FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302241723.zip
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230224/202302241723-2718/FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302241723.zip
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/opt/net/ethernet/+/183995

#19-2023-02-2717:36-CDLC O OO

- Status changed from ASSIGNED to RESOLVED

- Assignee changed fromCDLCO OO toODOOOOO _CDTSOO
- % Done changed from 40 to 70

HioO

patchO O O,
00 0202302280 DB [0 O Release 0 0 O .
joooooo,0ooooo,0o0o0oooooooo.oot

#20 - 2023-02-2816:04-CDLCO OO
- Resolution changed from -- to FIXED

#21-2023-03-0116:23-0 00000 _CbTsd O
- Status changed from RESOLVED to VERIFIED

00000doo78
0 O 0O O O https://thundersoft.feishu.cn/sheets/shtcny12SqMcqB3HTDNd9It2iJd
0 O O O 0054,0058,0063,0068,00730OTA D O OO Oo00780 00000

#22-2023-03-0116:23-0 00000 _CDTSO O
- Status changed from VERIFIED to CLOSED

Files

20230209-185649.mp4 5.09 MB 2023-02-09 000000 _cbTsoa
tlog_sts000101110_012_0209105812.tar.gz 4.15 MB 2023-02-09 0ooO0oo0o_cbTsoa
new 4 46.7 KB 2023-02-10 000000 _cbTsoa

Figure-116140-0 00 000IIPO0O0O0O0O0O OO O Settingsd 0 0 0 0 OM1.AKBO IPO O 20234222
https://thundersoft.feishu.cn/sheets/shtcny12SqMcqB3HTDNd9lt2iJd

